Retrieve Bank Account
curl --request GET \
--url https://api.meetcampfire.com/ca/api/account/{id}import requests
url = "https://api.meetcampfire.com/ca/api/account/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.meetcampfire.com/ca/api/account/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"is_deleted": false,
"deleted_at": "2023-11-07T05:31:56Z",
"entity_name": "<string>",
"department_name": "<string>",
"chart_of_accounts_account_name": "<string>",
"account_type": "<string>",
"account_subtype": "<string>",
"account_cashflow_classification": "<string>",
"type_name": "<string>",
"subtype_name": "<string>",
"cashflow_classification_name": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"last_modified_at": "2023-11-07T05:31:56Z",
"customer": 123,
"entity": 123,
"tags": [
123
],
"currency": "<string>",
"external_account_id": "<string>",
"name": "<string>",
"nickname": "<string>",
"status": "<string>",
"type": "CHECKING",
"available_balance": 0,
"current_balance": 0,
"institution_id": "<string>",
"source": "<string>",
"aba_routing_number": "<string>",
"swift_bic": "<string>",
"tag_ids": [
0
],
"tag_group_ids": [
0
],
"chart_of_accounts_account": 123,
"department": 123
}Cash Management
Retrieve Bank Account
GET
/
ca
/
api
/
account
/
{id}
Retrieve Bank Account
Path Parameters
Response
200 - application/json
Maximum string length:
3Maximum string length:
200Maximum string length:
250Maximum string length:
250Maximum string length:
250CHECKING- CheckingSAVING- SavingsCREDIT_CARD- Credit CardDEBIT_CARD- Debit CardINVESTMENT- InvestmentLOAN- Loan
Available options:
CHECKING, SAVING, CREDIT_CARD, DEBIT_CARD, INVESTMENT, LOAN Required range:
-1000000000000000000 < x < 1000000000000000000Required range:
-1000000000000000000 < x < 1000000000000000000Maximum string length:
250Maximum string length:
250ABA routing number (9 digits) for US bank accounts
Maximum string length:
9SWIFT BIC code (8 or 11 characters) for international accounts
Maximum string length:
11Required range:
-9223372036854776000 <= x <= 9223372036854776000Required range:
-9223372036854776000 <= x <= 9223372036854776000